<?php
/**
 * @file
 * Contains \Drupal\tcmb\Form\TcmbGoldSettingsForm
 */

namespace Drupal\tcmb\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;
use Symfony\Component\HttpFoundation\Request;

/**
 * Configure Tcmb gold settings.
 */

class TcmbGoldSettingsForm extends ConfigFormBase {
  /**
   * {@inheritdoc}.
   */
  public function getFormId() {
    return 'tcmb_gold_settings';
  }

  /**
   */
  public function buildForm(array $form, FormStateInterface $form_state, Request $request = NULL) {
    $config = $this->config('tcmb.settings');
    $form = array();
    $form['tcmb_gold_codes'] = array(
      '#type' => 'checkboxes',
      '#title' => t('Gold prices'),
      '#default_value' => $config->get('tcmb_gold_codes') ?: array(),
      '#options' => tcmb_gold_codes(),
    );
    return parent::buildForm($form, $form_state);
  }
  /**
   * {@inheritdoc}.
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {
    if (!array_filter($form_state->getValues('tcmb_gold_codes'))) {
      $form_state->setErrorByName('tcmb_gold_codes', t('You need to set set at least 1 gold code.'));
    }
    parent::validateForm($form, $form_state);
  }
  /**
   * {@inheritdoc}.
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $config = $this->config('tcmb.settings');
    $config->set('tcmb_gold_codes', $form_state->getValue('tcmb_gold_codes'));
    $config->save();
    return parent::submitForm($form, $form_state);
  }
  /**
   * {@inheritdoc}
   **/
  protected function getEditableConfigNames() {
    return [
      'tcmb.settings',
      ];
  }
}
